Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229428 - ns-slapd not linking to C++ runtime on HP-UX
Summary: ns-slapd not linking to C++ runtime on HP-UX
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 7.1
Hardware: All
OS: Other
medium
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-02-20 23:18 UTC by Nathan Kinder
Modified: 2015-12-07 17:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:16:41 UTC


Attachments (Terms of Use)
Proposed Fix (deleted)
2007-02-20 23:18 UTC, Nathan Kinder
no flags Details | Diff
Additional fix (deleted)
2007-02-22 19:34 UTC, Nathan Kinder
no flags Details | Diff

Description Nathan Kinder 2007-02-20 23:18:19 UTC
While testing the binaries from the autotools based build on HP-UX, I was unable
to get ns-slapd to run due to an unresolved symbol.  I was seeing the following
errors in the errors log:

error:[20/Feb/2007:10:31:55 -0800] - Netscape Portable Runtime error -5977:
Unsatisfied data symbol '_ZTVN10__cxxabiv120__si_class_type_infoE' in load
module '//opt/fedora-ds/lib/libicui18n.so.34'.

On HP-UX, the program that contains the main() function must be linked with the
C++ compiler (aCC -AA in our case) if it loads any C++ shared libraries.  The
fix is to tell libtool to use the C++ compiler to link ns-slapd.

Comment 1 Nathan Kinder 2007-02-20 23:18:19 UTC
Created attachment 148457 [details]
Proposed Fix

Comment 2 Nathan Kinder 2007-02-21 17:46:55 UTC
Checked into ldapserver (HEAD).  Thanks to Rich for the review!

Checking in Makefile.am;
/cvs/dirsec/ldapserver/Makefile.am,v  <--  Makefile.am
new revision: 1.28; previous revision: 1.27
done
Checking in Makefile.in;
/cvs/dirsec/ldapserver/Makefile.in,v  <--  Makefile.in
new revision: 1.32; previous revision: 1.31
done
Checking in ltmain.sh;
/cvs/dirsec/ldapserver/ltmain.sh,v  <--  ltmain.sh
new revision: 1.11; previous revision: 1.10
done

Comment 3 Nathan Kinder 2007-02-22 19:34:08 UTC
Created attachment 148612 [details]
Additional fix

AN additional change is needed to allow ns-slapd to be linked on non HP-UX
systems.  It turns out that you need to explicitly set ns_slapd_LINK for all
cases .  By even attempting to override the implicit setting one only one
platform, ns_slapd_LINK will not be implicitly defined at all.

Comment 4 Nathan Kinder 2007-02-22 19:35:47 UTC
Checked additional fix from comment #3 into ldapserver (HEAD).  The fix was
actually written by Rich, and reviewed and tested by myself and Noriko.

Checking in Makefile.am;
/cvs/dirsec/ldapserver/Makefile.am,v  <--  Makefile.am
new revision: 1.29; previous revision: 1.28
done
Checking in Makefile.in;
/cvs/dirsec/ldapserver/Makefile.in,v  <--  Makefile.in
new revision: 1.33; previous revision: 1.32
done


Note You need to log in before you can comment on or make changes to this bug.